Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor.security
Class SetPasswordFormProcessor

    java.lang.Object
      com.bea.portal.appflow.processor.AbstractPortalProcessor
          com.bea.portal.appflow.processor.security.SetPasswordFormProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class SetPasswordFormProcessor
extends AbstractPortalProcessor

A processor used to validate the setpassword JSP and change the user's password in the system.

Constructor Summary
`SetPasswordFormProcessor()` Deprecated. Default constructor (called by webflow).

Method Summary
`Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, Object requestContext)` Deprecated. Main process method called by webflow.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetPasswordFormProcessor

    public SetPasswordFormProcessor()

  Deprecated.
  Default constructor (called by webflow). This processor is session sensitive as it calls `super(true)`

Method Detail

### process

    public Object process(HttpServletRequest request,
                          HttpServletResponse response,
                          PortalRequest portalRequest,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Main process method called by webflow. This method throws InvalidFormDataException if the form fields do not pass minimum validation criteria.

  Specified by:
    `process` in class `AbstractPortalProcessor`
  Returns:
    this processor always return successa.
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved